Subject: Re: [dtn-users] Config for two node, fixed IP, DTN (?)
From: "Graham Keellings (Leonix Solutions Pte Ltd)" <[email-masked]>
To: Kurtis Heimerl <[email-masked]>
Cc: DTN Users <[email-masked]>
Date: Wed, 01 Jul 2009 14:55:15 +0800
List-Id: dtn-users mailing list <dtn-users.maillists.intel-research.net>

Kurtis Heimerl wrote:
> Ah. IPC communications means your DTN client (the ping app) can't talk
> to the server (the thing you've got running there). It looks like the
> servers are up and talking though, which is good.
>   
Well some cause for happiness, at least :-/

> This is a somewhat hairy problem, I've never gotten it before. 
Me neither. I had it working wired. Tried it wireless and was getting 
timeouts on the dtnping, edited my dtn.conf and now this .... what do 
you think of the dtn.con? Any obvious errors?

> Are you
> sure you're running this locally on the same machine dtnd is running
> on?
>   
yes.

Thanks again for your help

(p.s same thing with dtnsend (or course))

> On Tue, Jun 30, 2009 at 11:24 PM, Graham Keellings (Leonix Solutions
> Pte Ltd)<[email-masked]> wrote:
>   
>> Kurtis Heimerl wrote:
>>
>> "[1246427387.670231 /dtn/bundle/daemon info] LINK_AVAILABLE
>> acer_two_link_tcp [192.9.200.107:5000 dtn:none ONDEMAND tcp
>> state=AVAILABLE]"
>>
>> This says to me that they're talking.
>>
>> whoo ho!  Great news!
>>
>> You have to run the DTN ping app
>> to have the two nodes actually ping each other. Have you tried this?
>>
>>
>> yes, and it eventually times out with the error:
>> "fatal error opening DTN handle: error in ipc communication"
>>
>> Any idea how to debug this?
>>
>> Thanks *very* much for your quick response.
>>
>>
>>
>>
>> On Tue, Jun 30, 2009 at 10:58 PM, Graham Keellings (Leonix Solutions
>> Pte Ltd)<[email-masked]> wrote:
>>
>>
>> Does anyone have such a config file? Can anyone comment on mine (one shown
>> below, the other is mirror-image)?
>>
>> All that I want is two laptops with no Etehrnet, wif only, to be able to
>> communicate with DTN.
>>
>> I have ifconfig * down except for eth1 which is the wireless card and can
>> successfully ping each laptop from the other
>>
>> When I started the DTN daemon, I got ...
>>
>> root@acer-one:/dtn/DTN2# daemon/dtnd -linfo
>> [1246427387.564048 /dtnd notice] random seed is 564037
>> [1246427387.564196 /dtnd notice] DTN daemon starting up... (pid 9127)
>> [1246427387.580481 /dtnd info] parsing configuration file /etc/dtn.conf...
>> [1246427387.580724 /dtnd info] dtnd parsing configuration...
>> [1246427387.580849 /dtn/interface/table info] adding interface tcp0 (tcp)
>> [1246427387.581110 /dtn/interface/table info] adding interface udp0 (udp)
>> [1246427387.596918 /dtn/link/acer_two_link_tcp info] new link
>> acer_two_link_tcp [192.9.200.107:5000 dtn:none ONDEMAND tcp state=AVAILABLE]
>> [1246427387.597121 /dtnd info] dtnd configuration parsing complete
>> [1246427387.597236 /dtn/storage info] initializing db name=DTN (not shared),
>> dir=/var/dtn/db
>> [1246427387.631572 /dtn/storage info] datastore /var/dtn/db was not cleanly
>> shut down
>> [1246427387.669037 /dtn/bundle/daemon info] REGISTRATION_ADDED 0
>> dtn://acer.one.dtn
>> [1246427387.669911 /dtn/bundle/daemon info] REGISTRATION_ADDED 2
>> dtn://acer.one.dtn/ping
>> [1246427387.670039 /dtn/bundle/daemon notice] loading bundles from data
>> store
>> [1246427387.670104 /dtn/bundle/daemon info] LINK_CREATED acer_two_link_tcp
>> [192.9.200.107:5000 dtn:none ONDEMAND tcp state=AVAILABLE]
>> [1246427387.670169 /dtn/bundle/daemon info] ROUTE_ADD dtn://acer.two.dtn/*
>> -> acer_two_link_tcp (FORWARD)
>> [1246427387.670231 /dtn/bundle/daemon info] LINK_AVAILABLE acer_two_link_tcp
>> [192.9.200.107:5000 dtn:none ONDEMAND tcp state=AVAILABLE]
>> [1246427388.176273 /dtnd info] starting console on 127.0.0.1:5050
>> [1246427388.236350 /dtn/tclcmd info] can't load oasys_tclreadline: can't
>> find package oasys_tclreadline
>> [1246427388.236437 /dtn/tclcmd info] fall back to simple command loop
>> acer-one dtn%
>>
>>
>> Here is one of the config files
>>
>> log /dtnd info "dtnd parsing configuration..."
>>
>> console set addr 127.0.0.1
>> console set port 5050
>>
>> interface add tcp0 tcp local_addr=192.9.200.106
>> interface add udp0 udp local_addr=192.9.200.106
>>
>> set shorthostname [lindex [split [info hostname] .] 0]
>> console set prompt "$shorthostname dtn% "
>>
>> storage set type berkeleydb
>> storage set schema /etc/DS.xsd
>>
>> set dbdir ""
>> foreach dir {/var/dtn /var/tmp/dtn} {
>>   if {[file isdirectory $dir]} {
>>       set dbdir $dir
>>       break
>>   }
>> }
>> if {$dbdir == ""} {
>>   puts stderr "Must create /var/dtn or /var/tmp/dtn storage directory"
>>   exit 1
>> }
>> storage set payloaddir $dbdir/bundles
>> storage set dbname     DTN
>> storage set dbdir      $dbdir/db
>>
>> param set accept_custody true
>> param set reactive_frag_enabled true
>> param set link_max_retry_interval 5
>>
>> link add acer_two_link_tcp 192.9.200.107:5000 ONDEMAND tcp
>> ## link add acer_two_link_udp 192.9.200.107:5001 ALWAYSON udp
>>
>> route set type static
>> route local_eid dtn://acer.one.dtn
>>
>> route add dtn://acer.two.dtn/* acer_two_link_tcp
>> ##  route add dtn://acer.two.dtn/* acer_two_link_udp
>>
>> log /dtnd info "dtnd configuration parsing complete"
>>
>> Thanks in advance for any help with this very basic question.
>>
>> With best wishes
>>
>> graham
>>
>>
>> _______________________________________________
>> dtn-users mailing list
>> [email-masked]
>> http://maillists.intel-research.net/mailman/listinfo/dtn-users
>>
>>
>>
>>
>>
>>
>> --
>> Technical Director
>> Leonix Solutions (Pte) Ltd
>> 18 Boon Lay Way
>> #09-95 TradeHub 21
>> Singapore 609966
>> Telephone:+65 6316 9968
>> Fax: +65 6316 9208
>>
>>     
>
>   

-- 
Technical Director
Leonix Solutions (Pte) Ltd
18 Boon Lay Way
#09-95 TradeHub 21
Singapore 609966
Telephone:+65 6316 9968
Fax: +65 6316 9208